"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Smalltalk::Error subclass:#Error
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Exceptions'
!

!Error class methodsFor:'documentation'!

version_SVN
    ^'$Id$'
! !

!Error class methodsFor:'matching'!

matchPattern

    ^self subclassResponsibility

    "Created: / 03-10-2008 / 17:18:03 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

matchesErrorString: aString

    ^aString matches: self matchPattern

    "Created: / 03-10-2008 / 17:17:34 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Error class methodsFor:'raising'!

raiseErrorString: aString

    | concreteClass |
    concreteClass := self allSubclasses 
                        detect: [:cls|cls matchesErrorString: aString]
                        ifNone: [UnknownError].
    concreteClass new
        messageText: aString;
        raise

    "Created: / 03-10-2008 / 17:13:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Error class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
